Subject: Bug#1149: [X2Go-Dev] ValueError: CTR mode needs counter parameter, not IV

From: Markus <[email-masked]>
Date: Tue, 21 Feb 2017 11:30:34 +0100

without changing anything, pyhoca-cli works for me now, but it displays
a warning:

"/usr/lib/python2.7/dist-packages/Crypto/Cipher/blockalgo.py:141:
FutureWarning: CTR mode needs counter parameter, not IV
  self._cipher = factory.new(key, *args, **kwargs)"

When I tried it today, a window poped up asking me for my passphrase
which I need for something else...

And it worked.

But I dont use a keyfile or this passphrase for this x2go related server.

Maybe this information is useful.

But all thinks work for now.

Markus

Am 20.02.2017 um 04:07 schrieb Mihai Moldovan:
> Control: merge -1 1148
> 
> On 17.02.2017 01:38 PM, Markus wrote:
>> Package: pyhoca-cli
>> Version: 0.5.0.4
>>
>> (sorry for repost, I subscribed now to the mailinglist)
>>
>> Hi,
>>
>> pyhoca-cli stopped working for me. I expected it to ask me for password,
>> but instead it raises an exception.
>>
>> I don't know what happened, because this worked all the time. And I
>> think I didn't change anything.
>>
>> The error message is: "ValueError: CTR mode needs counter parameter, not IV"
> 
> Probably an incompatibility issue with newer versions of Paramiko. Will have to
> look into this.
> 
> 
> 
> Mihai
>